petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMPlexCellRefinerGetAffineFaceTransforms

Gets the affine map from the reference face cell to each face in the given cell

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCellRefinerGetAffineFaceTransforms(DMPlexCellRefiner cr, DMPolytopeType ct, PetscInt *Nf, PetscReal *v0[], PetscReal *J[], PetscReal *invJ[], PetscReal *detJ[])

### Input Parameters

| cr | - The DMPlexCellRefiner object
| ct | - The cell type

### Output Parameters

| Nf | - The number of faces for this cell type
| v0 | - The translation of the first vertex for each face
| J | - The Jacobian for each face (map from original cell to subcell)
| invJ | - The inverse Jacobian for each face
| detJ | - The determinant of the Jacobian for each face

Note: The Jacobian and inverse Jacboian will be rectangular, and the inverse is really a generalized inverse.

### See Also

DMPlexCellRefinerGetAffineTransforms(), Create()

### Level

developer

### Location

src/dm/impls/plex/plexrefine.c

### Implementations

DMPlexCellRefinerGetAffineFaceTransforms_Regular in src/dm/impls/plex/plexrefine.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages